<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="208dp"
    android:layout_marginHorizontal="10dp"
    android:background="@drawable/bg_corners_ffffff_10"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="11dp"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/iv_icon_small"
            android:layout_width="28dp"
            android:layout_height="28dp"
            android:layout_gravity="center_vertical"
            android:src="@mipmap/logo"
            tools:ignore="ContentDescription" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginHorizontal="5dp"
            android:layout_weight="1"
            android:text="@string/app_name"
            android:textColor="#4F565E" />

        <FrameLayout
            android:id="@+id/fl_cancel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:clickable="true"
            android:focusable="true"
            android:padding="5dp">

            <!-- 适应混淆规则这个xml中不引用@string-->
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="cancel"
                android:textColor="#999999"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />
        </FrameLayout>

    </LinearLayout>

    <ImageView
        android:id="@+id/iv_icon"
        android:layout_width="35dp"
        android:layout_height="35dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="8dp"
        tools:ignore="ContentDescription" />


    <TextView
        android:id="@+id/tv_desc"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginHorizontal="20dp"
        android:layout_marginTop="10dp"
        android:gravity="center"
        android:textColor="#000000"
        android:textSize="16sp"
        android:textStyle="bold" />

    <FrameLayout
        android:id="@+id/fl_btn"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginHorizontal="30dp"
        android:layout_marginVertical="8dp"
        android:clickable="true"
        android:focusable="true">


        <!--   https://blog.csdn.net/zssrxt/article/details/131340741     -->
        <ViewFlipper
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:autoStart="true"
            android:flipInterval="100">

            <ImageView
                android:id="@+id/iv_btn_1"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/btn_1"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_btn_2"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/btn_2"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_btn_3"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/btn_3"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_btn_4"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/btn_4"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_btn_5"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/btn_5"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_btn_6"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/btn_6"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_btn_7"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/btn_7"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_btn_8"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/btn_8"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_btn_9"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/btn_9"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_btn_10"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/btn_10"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_btn_11"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/btn_11"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_btn_12"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/btn_12"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_btn_13"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/btn_13"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_btn_14"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@drawable/btn_14"
                tools:ignore="ContentDescription" />

        </ViewFlipper>


        <TextView
            android:id="@+id/tv_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="12dp"
            android:gravity="center"
            android:textColor="#ffffffff"
            android:textSize="17sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

    </FrameLayout>


</LinearLayout>